Bug 53674 - up2date gets Authorization Required, terminates
up2date gets Authorization Required, terminates
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
limbo
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-14 13:47 EDT by GeoffLeach
Modified: 2015-01-07 18:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-20 12:49:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description GeoffLeach 2001-09-14 13:47:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010803

Description of problem:
During a download:

Errow while retrieving backage bonobo-devel-1.0.7-2
The message was:
401 "Authorization Required" while attempting to get
$RHN/redhat-linux-i386-7,1.94/getPackage/bonobo-devel-1.0.7-2.i386.rpm

up2date then terminates, leaving the package state such that the failed
package does not show up as
needing download on the next execution.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.select a bunch of packages with up2date
2.start download
3.wait.  Maybe you'll be lucky.
	

Actual Results:  Message as described

Expected Results:  Recover and continue.

Additional info:
Comment 1 Jay Turner 2001-09-14 15:25:50 EDT
That sounds like a message from an authenticated proxy where the appropriate
credentials are not getting presented.  Are you attempting to connect through a
proxy?
Comment 2 GeoffLeach 2001-09-14 15:49:26 EDT
There is no proxy involved on my end.
Connection is through PPP on a slow (26KB) line.  A comment on the Roswell list
suggested that that might be a factor.
Comment 3 Mihai Ibanescu 2001-09-14 15:58:55 EDT
Package retrieval is done via some authentication tokens which expire after one
hour. If up2date does not finish its job in one hour, it needs to
reauthenticate. The up2date client had a bug which is fixed now. Could you
please report what version of up2date you're using? Thanks.
Comment 4 GeoffLeach 2001-09-15 12:24:52 EDT
Version in use is up2date-2.7.0-7.x.1
Comment 5 Aleksey Nogin 2002-07-20 12:49:32 EDT
This bug appears to be back in Limbo (up2date-2.9.13-7.x.9,
up2date-gnome-2.9.13-7.x.9, rhnlib-0.8-7, python-2.2.1-10) - up2date failes to
re-authenticate after timeout, it just reports the error to the user and aborts...
Comment 6 Adrian Likins 2002-07-22 18:00:31 EDT
same behaviour, different bug. I'd rather track it with a different
bug id. If someone hasnt opened another bug report yet, I'll open
one.
Comment 7 Adrian Likins 2002-07-22 18:08:13 EDT
opened as a new bug #69518

Note You need to log in before you can comment on or make changes to this bug.